package nl.iobyte.themepark.api.menu.objects.handlers;

import nl.iobyte.menuapi.enums.Types;
import nl.iobyte.menuapi.interfaces.IActionHandler;
import nl.iobyte.themepark.api.message.Text;
import nl.iobyte.themepark.utils.PlaceHolder;
import org.bukkit.entity.Player;
import org.bukkit.event.inventory.ClickType;
import java.util.List;

public class PlainMessageMenuHandler implements IActionHandler {

    private final String message;

    public PlainMessageMenuHandler(String message) {
        this.message = Text.color(message);
    }

    public String getID() {
        return "PLAIN_MESSAGE";
    }

    public List<ClickType> getClickTypes() {
        return Types.NORMAL.getTypesList();
    }

    public void execute(Player player) {
        player.closeInventory();
        player.sendMessage(PlaceHolder.setPlaceHolders(
                player,
                message
        ));
    }

}
