package nl.iobyte.themepark.api.message;

import nl.iobyte.themepark.ThemePark;
import nl.iobyte.themepark.api.config.enums.StorageLocation;
import org.bukkit.entity.Player;

public enum MessageKey {

    //Prefix
    PREFIX("prefix"),

    //Menu
    MENU_PREVIOUS("menu.previous"),
    MENU_PAGE("menu.page"),
    MENU_NEXT("menu.next"),

    //Ridecount
    RIDECOUNT_ADD("ridecount.add"),

    //Attraction Teleport
    ATTRACTION_TELEPORT_STATUS("attraction.teleport.status"),
    ATTRACTION_TELEPORT_SUCCESS("attraction.teleport.success");

    private final String path;
    MessageKey(String path) {
        this.path = path;
    }

    /**
     * Get path to message
     * @return String
     */
    public String getPath() {
        return path;
    }

    /**
     * Get and color message from config
     * @return String
     */
    public String getMessage() {
        String msg = Text.color(ThemePark.getInstance().getAPI().getConfigurationManager().getString(StorageLocation.MESSAGE, path));
        if(this != MessageKey.PREFIX)
            msg = msg.replace("{prefix}", MessageKey.PREFIX.getMessage());

        return msg;
    }

    /**
     * Send message with color to Player
     * @param player Player
     */
    public void send(Player player) {
        player.sendMessage(getMessage());
    }

}
