package nl.iobyte.themepark.api.sync.objects;

import nl.iobyte.themepark.ThemePark;
import nl.iobyte.themepark.api.ThemeParkAPI;
import nl.iobyte.themepark.api.attraction.objects.Attraction;
import nl.iobyte.themepark.api.config.ConfigurationManager;
import nl.iobyte.themepark.api.config.enums.StorageLocation;
import nl.iobyte.themepark.api.sign.SignManager;
import nl.iobyte.themepark.api.sign.objects.StatusSign;
import nl.iobyte.themepark.api.sync.interfaces.ISync;
import nl.iobyte.themepark.logger.ThemeParkLogger;
import nl.iobyte.themepark.utils.LocationUtil;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public class SignSync implements ISync {

    /**
     * Save all configuration files
     */
    public void sync() {
        ThemeParkAPI api = ThemePark.getInstance().getAPI();
        SignManager manager = api.getSignManager();
        ConfigurationManager config = api.getConfigurationManager();

        for(Map.Entry<Attraction, ArrayList<StatusSign>> entry : manager.getSigns().entrySet()) {
            List<String> array = new ArrayList<>();
            for(StatusSign sign : entry.getValue()) {
                String str = LocationUtil.toString(sign.getLocation());
                if(!str.isEmpty())
                    array.add(str);
            }

            config.set(StorageLocation.SIGN_DATA, "signs." + entry.getKey().getID(), array);
        }

        config.save(StorageLocation.SIGN_DATA);
        ThemeParkLogger.toConsole("Sign data saved to file");
    }

}

