package nl.iobyte.themepark.commands.arguments;

import nl.iobyte.commandapi.interfaces.ICommandArgument;
import nl.iobyte.commandapi.objects.ArgumentCheck;
import nl.iobyte.themepark.ThemePark;
import nl.iobyte.themepark.api.attraction.objects.Attraction;
import org.bukkit.ChatColor;
import nl.iobyte.commandapi.interfaces.ICommandExecutor;
import java.util.List;

public class AttractionArgument implements ICommandArgument<Attraction> {

    /**
     * Message to display when giving an error
     * @return String
     */
    public String getMessage(String[] args) {
        return "No Attraction found with ID: "+ ChatColor.WHITE+args[0];
    }

    /**
     * Check if argument is valid Attraction
     * @param sender ICommandExecutor
     * @param args Arguments passed by Command
     * @param previousArguments Previous arguments
     * @return Boolean
     */
    public ArgumentCheck checkArgument(ICommandExecutor sender, String[] args, List<Object> previousArguments) {
        return new ArgumentCheck(ThemePark.getInstance().getAPI().getAttractionService().hasAttraction(args[0]), 1);
    }

    /**
     * Get Attraction passed by command
     * @param sender ICommandExecutor
     * @param args Arguments passed by Command
     * @param previousArguments Previous arguments
     * @return Attraction
     */
    public Attraction getArgument(ICommandExecutor sender, String[] args, List<Object> previousArguments) {
        return ThemePark.getInstance().getAPI().getAttractionService().getAttraction(args[0]);
    }

}
