package nl.iobyte.themepark.commands.subcommands.attraction;

import nl.iobyte.commandapi.arguments.MessageArgument;
import nl.iobyte.commandapi.interfaces.ICommandExecutor;
import nl.iobyte.commandapi.objects.SubCommand;
import nl.iobyte.themepark.api.attraction.objects.Attraction;
import nl.iobyte.themepark.api.message.Text;
import nl.iobyte.themepark.commands.arguments.AttractionArgument;
import java.util.List;

public class AttractionNameCommand extends SubCommand {

    public AttractionNameCommand(String cmd)  {
        super("themepark.admin", "attraction", "name");

        addSyntax("/"+cmd+" attraction name <id> <name>")
                .addArgument(new AttractionArgument())
                .addArgument(new MessageArgument());
    }

    public void onCommand(ICommandExecutor  sender, List<Object> list, int i) {
        Attraction attraction = (Attraction) list.get(0);
        String name = (String) list.get(1);
        attraction.setName(name);
        sender.sendMessage(Text.color("&6&lThemePark &f➢ &aSuccessfully changed the name of attraction &f"+attraction.getName()));
    }

}
