package nl.iobyte.themepark.commands.subcommands.attraction;

import nl.iobyte.commandapi.interfaces.ICommandExecutor;
import nl.iobyte.commandapi.objects.SubCommand;
import nl.iobyte.themepark.api.attraction.objects.Attraction;
import nl.iobyte.themepark.api.attraction.objects.Region;
import nl.iobyte.themepark.api.message.Text;
import nl.iobyte.themepark.commands.arguments.AttractionArgument;
import nl.iobyte.themepark.commands.arguments.RegionArgument;
import java.util.List;

public class AttractionRegionCommand extends SubCommand {

    public AttractionRegionCommand(String cmd)  {
        super("themepark.admin", "attraction", "region");

        addSyntax("/"+cmd+" attraction region <attraction_id> <region_id>")
                .addArgument(new AttractionArgument())
                .addArgument(new RegionArgument());
    }
    
    public void onCommand(ICommandExecutor  sender, List<Object> list, int i) {
        Attraction attraction = (Attraction) list.get(0);
        Region region = (Region) list.get(1);
        attraction.setRegionID(region.getID());
        sender.sendMessage(Text.color("&6&lThemePark &f➢ &aSuccessfully changed the region of attraction &f"+attraction.getName()));
    }

}
