package nl.iobyte.themepark.commands.subcommands.attraction;

import nl.iobyte.commandapi.interfaces.ICommandExecutor;
import nl.iobyte.commandapi.objects.SubCommand;
import nl.iobyte.themepark.ThemePark;
import nl.iobyte.themepark.api.attraction.objects.Attraction;
import nl.iobyte.themepark.api.message.Text;
import nl.iobyte.themepark.commands.arguments.AttractionArgument;
import java.util.List;

public class AttractionRemoveCommand extends SubCommand {

    public AttractionRemoveCommand(String cmd)  {
        super("themepark.admin", "attraction", "remove");

        addSyntax("/"+cmd+" attraction remove <id>")
                .addArgument(new AttractionArgument());
    }

    public void onCommand(ICommandExecutor  sender, List<Object> list, int i) {
        Attraction attraction = (Attraction) list.get(0);
        ThemePark.getInstance().getAPI().getAttractionService().removeAttraction(attraction.getID());
        sender.sendMessage(Text.color("&6&lThemePark &f➢ &aSuccessfully removed attraction &f"+attraction.getName()));
    }

}
