package nl.iobyte.themepark.commands.subcommands.attraction;

import nl.iobyte.commandapi.arguments.EnumArgument;
import nl.iobyte.commandapi.interfaces.ICommandExecutor;
import nl.iobyte.commandapi.objects.SubCommand;
import nl.iobyte.themepark.ThemePark;
import nl.iobyte.themepark.api.attraction.enums.Status;
import nl.iobyte.themepark.api.attraction.objects.Attraction;
import nl.iobyte.themepark.api.event.attraction.AttractionPreStatusChangeEvent;
import nl.iobyte.themepark.api.message.Text;
import nl.iobyte.themepark.commands.arguments.AttractionArgument;
import org.bukkit.entity.Player;

import java.util.List;

public class AttractionStatusCommand extends SubCommand {

    public AttractionStatusCommand(String cmd)  {
        super("themepark.admin", "attraction", "status");

        addSyntax("/"+cmd+" attraction status <id> <status>")
                .addArgument(new AttractionArgument())
                .addArgument(new EnumArgument(Status.values()));
    }

    public void onCommand(ICommandExecutor  sender, List<Object> list, int i) {
        Attraction attraction = (Attraction) list.get(0);
        Status status = (Status) list.get(1);

        Player player = sender.getOriginal() instanceof Player ? (Player) sender.getOriginal() : null;

        AttractionPreStatusChangeEvent event = new AttractionPreStatusChangeEvent(
                attraction,
                attraction.getStatus(),
                status,
                player
        );
        ThemePark.getInstance().getAPI().getEventDispatcher().call(
                event,
                () -> {
                    if(event.isCancelled())
                        return;

                    attraction.setStatus(status);
                    sender.sendMessage(Text.color("&6&lThemePark &f➢ &aSuccessfully changed the status of attraction &f"+attraction.getName()));
                }
        );
    }

}
