package nl.iobyte.themepark.commands.subcommands.region;

import com.cryptomorin.xseries.XMaterial;
import nl.iobyte.commandapi.arguments.MessageArgument;
import nl.iobyte.commandapi.interfaces.ICommandExecutor;
import nl.iobyte.commandapi.objects.SubCommand;
import nl.iobyte.themepark.api.attraction.objects.Region;
import nl.iobyte.themepark.api.message.Text;
import nl.iobyte.themepark.commands.arguments.MaterialArgument;
import nl.iobyte.themepark.commands.arguments.RegionArgument;
import java.util.List;

public class RegionMaterialCommand extends SubCommand {

    public RegionMaterialCommand(String cmd)  {
        super("themepark.admin", "region", "material");

        addSyntax("/"+cmd+" region material <id> <material>")
                .addArgument(new RegionArgument())
                .addArgument(new MaterialArgument());
    }

    public void onCommand(ICommandExecutor  sender, List<Object> list, int i) {
        Region region = (Region) list.get(0);
        XMaterial material = (XMaterial) list.get(1);
        region.setMaterial(material.parseMaterial());

        sender.sendMessage(Text.color("&6&lThemePark &f➢ &aSuccessfully changed the material of region &f"+region.getName()));
    }

}
