package nl.iobyte.themepark.listeners;

import nl.iobyte.themepark.ThemePark;
import nl.iobyte.themepark.api.attraction.AttractionService;
import nl.iobyte.themepark.api.attraction.objects.Attraction;
import nl.iobyte.themepark.api.event.objects.AttractionEvent;
import nl.iobyte.themepark.api.event.objects.RegionEvent;
import nl.iobyte.themepark.api.event.objects.StatusEvent;
import nl.iobyte.themepark.api.menu.objects.StatusMenu;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;

public class GeneralListener implements Listener {

    @EventHandler
    public void onRegion(RegionEvent<?> e) {
        StatusMenu menu = ThemePark.getInstance().getAPI().getMenuService().getStatusMenu();
        if(e.getCurrent() == null) {
            menu.load();
            return;
        }

        menu.updateRegion(e.getRegion());
    }

    @EventHandler
    public void onAttraction(AttractionEvent<?> e) {
        StatusMenu menu = ThemePark.getInstance().getAPI().getMenuService().getStatusMenu();
        if(e.getCurrent() == null) {
            menu.load();
            return;
        }

        String name = e.getEventName();
        if(name.contains("Location") || name.contains("Cover"))
            return;

        menu.updateAttraction(e.getAttraction());
    }

    @EventHandler
    public void onStatus(StatusEvent<?> e) {
        String name = e.getEventName();
        if(!name.contains("Name") && !name.contains("Color"))
            return;

        StatusMenu menu = ThemePark.getInstance().getAPI().getMenuService().getStatusMenu();
        AttractionService service = ThemePark.getInstance().getAPI().getAttractionService();
        for(Attraction attraction : service.getAttractions().values())
            if(attraction.getStatus() == e.getStatus())
               menu.updateAttraction(attraction);
    }

}
