package nl.iobyte.themepark.utils;

import org.bukkit.Bukkit;
import org.bukkit.Location;
import org.bukkit.World;

public class LocationUtil {

    /**
     * Get String from Location instance
     * @param location Location
     * @return String
     */
    public static String toString(Location location) {
        if(location == null)
            return "";

        return location.getWorld().getName()
                +","+location.getX()
                +","+location.getY()
                +","+location.getZ()
                +","+location.getYaw()
                +","+location.getPitch();
    }

    /**
     * Get Location instance from String
     * @param str String
     * @return Location
     */
    public static Location fromString(String str) {
        if(str == null || str.isEmpty())
            return null;

        String[] args = str.split(",");
        if(args.length < 6)
            return null;

        World world = Bukkit.getWorld(args[0]);
        double x = Double.parseDouble(args[1]);
        double y = Double.parseDouble(args[2]);
        double z = Double.parseDouble(args[3]);
        float yaw = Float.parseFloat(args[4]);
        float pitch = Float.parseFloat(args[5]);

        Location location = new Location(world, x, y, z);
        location.setYaw(yaw);
        location.setPitch(pitch);
        return location;
    }

}
