package nl.iobyte.themepark.utils;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.Comparator;
import java.util.List;

public class VersionComparator implements Comparator<String> {

    /**
     * Check if Version B is older,newer or the same than A
     * @param s1 String
     * @param s2 String
     * @return int
     */
    public int compare(String s1, String s2) {
        if(s1.equals(s2))
            return 0;

        List<String> l1 = new ArrayList<>(Arrays.asList(s1.split("\\.")));
        List<String> l2 = new ArrayList<>(Arrays.asList(s2.split("\\.")));
        while(l1.size() != l2.size()) {
            if(l1.size() < l2.size()) {
                l1.add("0");
            } else {
                l2.add("0");
            }
        }

        int i = 0;
        while (i < l1.size() && l1.get(i).equals(l2.get(i)))
            i++;

        int a = 0;
        try {
            if (i < l1.size())
                a = Integer.signum(Integer.valueOf(l1.get(i)).compareTo(Integer.valueOf(l2.get(i))));
        } catch (Exception e) { }

        return a;
    }

}
